Skip to main content
GET
/
returns
/
{returnId}
/
status
Return Status
curl --request GET \
  --url https://api.getredo.com/v2.2/returns/{returnId}/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getredo.com/v2.2/returns/{returnId}/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getredo.com/v2.2/returns/{returnId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "open"
}
{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

returnId
string
required

Return ID

Example:

"64e4d5e837572a4813b73e40"

Response

Success

status
enum<string>
required

Return status.

  • open: Return has been approved and is awaiting shipment.
  • in_transit: Return shipment is in transit.
  • delivered: Return shipment has been delivered and awaiting processing.
  • needs_review: Return requires review before further action.
  • in_review: Return is currently being reviewed.
  • complete: The return has been completed successfully.
  • rejected: The return has been rejected.
  • flagged: A problem with return processing requires merchant action.
  • pre_shipment: Return requires pre-shipment merchant authorization.
  • deleted: The return has been deleted (Reset).
Available options:
open,
in_transit,
delivered,
needs_review,
in_review,
complete,
rejected,
flagged,
pre_shipment,
deleted
Example:

"open"